Page MenuHomePhabricator

"Custom Policy" value in "Policy Details" could provide more information what exactly it means
Closed, ResolvedPublic

Description

Take for example T208097. There's a box at the top "Custom Policy". One could expect to see there the visibility/editability rules that apply to the task in detail, but that does not happen. Phabricator should do so. Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2018, 1:14 PM

Custom Policy links to a Policy Details page. On that page, you mean the line`Can View: Custom Policy` should be more verbose?

Yes, that's it. Thanks.

Krenair added a subscriber: Krenair.Dec 9 2018, 9:55 PM
Aklapper renamed this task from "Custom Policy" box could provide more informations to "Custom Policy" value in "Policy Details" could provide more information what exactly it means.Dec 10 2018, 7:00 PM

This would be rather complex to implement given how powerful custom policies are. The effect of a custom policy would be difficult to programmatically explain, in any kind of easily understandable prose. Is it really too difficult to go to the edit form and view the policy configuration directly?

MarcoAurelio added a comment.EditedDec 11 2018, 6:34 PM

[...] Is it really too difficult to go to the edit form and view the policy configuration directly?

That is not an option for the 99% of the users of this Phabricator install, given that here only fields you're able to modify are shown. Please check, for example https://phabricator.wikimedia.org/maniphest/task/edit/211498/ with an unprivileged account and you'll see that no Visible-To/Editable-By fields appear.

I guess this is because how "Edit Forms" are configured in our install (I suspect https://phabricator.wikimedia.org/transactions/editengine/maniphest.task/view/10/ mainly). But even in the case locked fields were to be displayed, they would continue to display "Custom Policy" without being able to see much more because you'll not be able to modify it and thus unable to see in detail which is the particular policy that applies to the task.

Is that hard that said box displays the relevant Visible-To/Editable-By policy for each task?

epriestley added a subscriber: epriestley.

This is referenced upstream by https://secure.phabricator.com/T13411 (and, earlier, by https://secure.phabricator.com/T6802).

This should now be resolved upstream by https://secure.phabricator.com/D20805.

(Note that you still can not see the custom policy rules for a task if you can't see the task, and https://secure.phabricator.com/D20806 slightly reduces the amount of policy information we give users about objects they can't see. See T231734 for context, shortly. I believe none of the use cases in this task are impacted. If you can see an object, it is now much easier to learn its policy rules.)

Aklapper closed this task as Resolved.Tue, Jan 7, 5:05 AM

@Aklapper @epriestley would it be possible for the details to also include a list of the subscribers?